Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class VirtualMachineImage

`java.lang.Object
oracle.ovs.api.datamodel.resource.VirtualMachineImage`

All Implemented Interfaces:
  java.io.Serializable

      public class VirtualMachineImage

extends java.lang.Object
implements java.io.Serializable

Virtual Machine Image datamodel. This datamodel represents a collection information of a registered virtual machine under running pool

See Also:
  Serialized Form

Nested Class Summary
`static class` | `VirtualMachineImage.Builder` image builder

Field Summary
`protected java.lang.String` | `DEFALUT_VM_KEYBOARD_LAYOUTSET`
`protected java.lang.String` | `DEFAULT_DEPLOY_TYPE`
`protected java.lang.String` | `DEFAULT_IMG_TYPE`
`protected java.lang.Long` | `IMAGE_PARENTIMGID`

Constructor Summary
`VirtualMachineImage()`
`VirtualMachineImage(oracle.ovs.datamodel.OvsVmImg img)`

Method Summary
`java.lang.Long` | `getCreatedTime()`
`java.lang.String` | `getDeployType()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDownloadURL()`
`java.lang.Long` | `getGroupId()`
`java.lang.Boolean` | `getHaEnabled()`
`java.lang.Long` | `getImgId()`
`java.lang.String` | `getImgLocation()`
`java.lang.String` | `getImgName()`
`java.lang.Double` | `getImgSize()`
`java.lang.String` | `getImgType()`
`ImportTypes` | `getImportType()`
`java.lang.String` | `getKeyboardLayout()`
`java.lang.Long` | `getMaxMemory()`
`java.lang.Long` | `getMemory()`
`VirtualNetworkCard[]` | `getNetworks()`
`java.lang.String` | `getOsType()`
`java.lang.Long` | `getParentImgId()`
`java.lang.String` | `getProxyURL()`
`java.lang.Boolean` | `getProxyUsed()`
`java.lang.Boolean` | `getPvDriver()`
`java.lang.Long` | `getServerPoolId()`
`java.lang.String` | `getServerPoolName()`
`java.lang.String` | `getStatus()`
`java.lang.Long` | `getUserId()`
`java.lang.String` | `getUuid()`
`java.lang.Long` | `getVcpus()`
`VirtualDisk[]` | `getVdisks()`
`java.lang.String` | `getVirtualType()`
`java.lang.String` | `getVmPassword()`
`java.lang.String` | `getVmUsername()`
`java.lang.String` | `getVncPassword()`
`int` | `getVncPort()`
`void` | `setCreatedTime(java.lang.Long createdTime)`
`void` | `setDeployType(java.lang.String deployType)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDownloadURL(java.lang.String downloadURL)`
`void` | `setGroupId(java.lang.Long groupId)`
`void` | `setHaEnabled(java.lang.Boolean haEnabled)`
`void` | `setImgId(java.lang.Long imgId)`
`void` | `setImgLocation(java.lang.String imgLocation)`
`void` | `setImgName(java.lang.String imgName)`
`void` | `setImgSize(java.lang.Double imgSize)`
`void` | `setImgType(java.lang.String imgType)`
`void` | `setImportType(ImportTypes importType)`
`void` | `setKeyboardLayout(java.lang.String keyboardLayout)`
`void` | `setMaxMemory(java.lang.Long maxMemory)`
`void` | `setMemory(java.lang.Long memory)`
`void` | `setNetworks(VirtualNetworkCard[] networks)`
`void` | `setOsType(java.lang.String osType)`
`void` | `setParentImgId(java.lang.Long parentImgId)`
`void` | `setProxyURL(java.lang.String proxyURL)`
`void` | `setProxyUsed(java.lang.Boolean proxyUsed)`
`void` | `setPvDriver(java.lang.Boolean pvDriver)`
`void` | `setServerPoolId(java.lang.Long serverPoolId)`
`void` | `setServerPoolName(java.lang.String serverPoolName)`
`void` | `setStatus(java.lang.String status)`
`void` | `setUserId(java.lang.Long userId)`
`void` | `setUuid(java.lang.String uuid)`
`void` | `setVcpus(java.lang.Long vcpus)`
`void` | `setVdisks(VirtualDisk[] vdisks)`
`void` | `setVirtualType(java.lang.String virtualType)`
`void` | `setVmPassword(java.lang.String vmPassword)`
`void` | `setVmUsername(java.lang.String vmUsername)`
`void` | `setVncPassword(java.lang.String vncPassword)`
`void` | `setVncPort(int vncPort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFALUT_VM_KEYBOARD_LAYOUTSET

    protected final java.lang.String DEFALUT_VM_KEYBOARD_LAYOUTSET

  See Also:
    Constant Field Values

### DEFAULT_DEPLOY_TYPE

    protected final java.lang.String DEFAULT_DEPLOY_TYPE

  See Also:
    Constant Field Values

### DEFAULT_IMG_TYPE

    protected final java.lang.String DEFAULT_IMG_TYPE

  See Also:
    Constant Field Values

### IMAGE_PARENTIMGID

    protected final java.lang.Long IMAGE_PARENTIMGID

Constructor Detail

### VirtualMachineImage

    public VirtualMachineImage()

### VirtualMachineImage

    public VirtualMachineImage(oracle.ovs.datamodel.OvsVmImg img)
                        throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

Method Detail

### setGroupId

    public void setGroupId(java.lang.Long groupId)

### getGroupId

    public java.lang.Long getGroupId()

### setHaEnabled

    public void setHaEnabled(java.lang.Boolean haEnabled)

### getHaEnabled

    public java.lang.Boolean getHaEnabled()

### setProxyUsed

    public void setProxyUsed(java.lang.Boolean proxyUsed)

### getProxyUsed

    public java.lang.Boolean getProxyUsed()

### setOsType

    public void setOsType(java.lang.String osType)

### getOsType

    public java.lang.String getOsType()

### setProxyURL

    public void setProxyURL(java.lang.String proxyURL)

### getProxyURL

    public java.lang.String getProxyURL()

### setDownloadURL

    public void setDownloadURL(java.lang.String downloadURL)

### getDownloadURL

    public java.lang.String getDownloadURL()

### setUserId

    public void setUserId(java.lang.Long userId)

### getUserId

    public java.lang.Long getUserId()

### setCreatedTime

    public void setCreatedTime(java.lang.Long createdTime)

### getCreatedTime

    public java.lang.Long getCreatedTime()

### setDeployType

    public void setDeployType(java.lang.String deployType)

### getDeployType

    public java.lang.String getDeployType()

### setImgId

    public void setImgId(java.lang.Long imgId)

### getImgId

    public java.lang.Long getImgId()

### setImgLocation

    public void setImgLocation(java.lang.String imgLocation)

### getImgLocation

    public java.lang.String getImgLocation()

### setMaxMemory

    public void setMaxMemory(java.lang.Long maxMemory)

### getMaxMemory

    public java.lang.Long getMaxMemory()

### setMemory

    public void setMemory(java.lang.Long memory)

### getMemory

    public java.lang.Long getMemory()

### setImgName

    public void setImgName(java.lang.String imgName)

### getImgName

    public java.lang.String getImgName()

### setImgSize

    public void setImgSize(java.lang.Double imgSize)

### getImgSize

    public java.lang.Double getImgSize()

### setImgType

    public void setImgType(java.lang.String imgType)

### getImgType

    public java.lang.String getImgType()

### setVcpus

    public void setVcpus(java.lang.Long vcpus)

### getVcpus

    public java.lang.Long getVcpus()

### setVdisks

    public void setVdisks(VirtualDisk[] vdisks)

### setNetworks

    public void setNetworks(VirtualNetworkCard[] networks)

### setVirtualType

    public void setVirtualType(java.lang.String virtualType)

### getVirtualType

    public java.lang.String getVirtualType()

### setParentImgId

    public void setParentImgId(java.lang.Long parentImgId)

### getParentImgId

    public java.lang.Long getParentImgId()

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setServerPoolName

    public void setServerPoolName(java.lang.String serverPoolName)

### getServerPoolName

    public java.lang.String getServerPoolName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setVmPassword

    public void setVmPassword(java.lang.String vmPassword)

### getVmPassword

    public java.lang.String getVmPassword()

### setVmUsername

    public void setVmUsername(java.lang.String vmUsername)

### getVmUsername

    public java.lang.String getVmUsername()

### setKeyboardLayout

    public void setKeyboardLayout(java.lang.String keyboardLayout)

### getKeyboardLayout

    public java.lang.String getKeyboardLayout()

### setVncPassword

    public void setVncPassword(java.lang.String vncPassword)

### getVncPassword

    public java.lang.String getVncPassword()

### setVncPort

    public void setVncPort(int vncPort)

### getVncPort

    public int getVncPort()

### setUuid

    public void setUuid(java.lang.String uuid)

### getUuid

    public java.lang.String getUuid()

### setStatus

    public void setStatus(java.lang.String status)

### getStatus

    public java.lang.String getStatus()

### getNetworks

    public VirtualNetworkCard[] getNetworks()

### getVdisks

    public VirtualDisk[] getVdisks()

### setPvDriver

    public void setPvDriver(java.lang.Boolean pvDriver)

### getPvDriver

    public java.lang.Boolean getPvDriver()

### setImportType

    public void setImportType(ImportTypes importType)

### getImportType

    public ImportTypes getImportType()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.